# Core Framework
fastapi==0.119.0
uvicorn[standard]==0.37.0
gunicorn==23.0.0
pydantic==2.12.3
pydantic[email]==2.12.3
pydantic-settings==2.11.0

# Database
sqlalchemy==2.0.44
alembic==1.17.0
psycopg2-binary==2.9.11
asyncpg==0.30.0

# Authentication & Authorization
cachetools==5.5.0
python-jose[cryptography]==3.5.0
passlib[bcrypt]==1.7.4

# HTTP & API
httpx==0.28.1
requests==2.32.5
boto3==1.35.36


# Utilities
python-multipart==0.0.20
python-dotenv==1.1.1
tenacity==9.1.2

# Monitoring & Logging
prometheus-client==0.23.1
python-json-logger==4.0.0

# Development
pytest==8.4.2
pytest-asyncio==1.2.0
pytest-cov==7.0.0
black==25.9.0
flake8==7.3.0
mypy==1.18.2
pylint==4.0.2

# reportes
Jinja2==3.1.6
pdfkit==1.0.0
openpyxl==3.1.5

# Desarrollo en seguno plano
celery==5.3.6
redis==5.0.1
flower==2.0.1

# Barcode
pdf417gen==0.8.1
asgiref==3.8.1
aiosmtplib==3.0.1
